import { StyleSheet } from 'react-native'

export const styles = StyleSheet.create({
  container: {
    flexGrow: 1,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: 'white',
    justifyContent: 'space-between',
    flex: 1,
  },
  box: {
    flexDirection: 'column',
    justifyContent: 'center',
    borderWidth: 2,
    padding: 30,
    borderRadius: 5,
    borderColor: 'rgba(0, 0, 0, 0.2)',
    marginTop: 50,
    marginBottom: 50,
  },
  heading: {
    fontSize: 20,
    fontWeight: '700',
    color: '#00C853',
    textAlign: 'center',
  },
  input: {
    borderWidth: 1,
    borderRadius: 5,
    borderColor: '#636363',
    width: 300,
    color: 'black',
  },
  label: {
    fontWeight: '500',
    fontSize: 20,
    lineHeight: 30,
    marginTop: 10,
  },
  greenButton: {
    borderColor: '#009624',
    borderStyle: 'solid',
    borderRadius: 5,
    fontWeight: '500',
    fontSize: 10,
    padding: 10,
    marginTop: 20,
    backgroundColor: '#009624',
    alignItems: 'center',
    justifyContent: 'center',
  },
  outlinedButton: {
    borderColor: '#009624',
    borderWidth: 1,
    borderStyle: 'solid',
    borderRadius: 5,
    fontWeight: '500',
    fontSize: 10,
    padding: 10,
    marginTop: 20,
    alignItems: 'center',
    justifyContent: 'center',
  },
  outlinedText: { fontSize: 16, fontWeight: '500', color: '#009624' },
  buttonPopUp: {
    borderColor: '#00C853',
    width: 50,
    backgroundColor: '#00C853',
    alignItems: 'center',
    justifyContent: 'center',
    margin: 10,
    height: 50,
  },
  buttonText: {
    fontSize: 16,
    fontWeight: '500',
    color: 'white',
  },
  welcome: {
    color: '#009624',
    // flex: 1,
    fontSize: 24,
    marginTop: 20,
    fontWeight: 'bold',
  },
  dashBoardItem: {
    alignItems: 'center',
    borderRadius: 5,
    position: 'relative',
    display: 'flex',
    justifyContent: 'space-between',
    height: 130,
    shadowColor: 'rgba(0, 0, 0, 0.1)',
    shadowOffset: {
      width: 0,
      height: 2,
    },
    shadowOpacity: 0.3,
    shadowRadius: 0.5,
    elevation: 2,
    padding: 25,
    width: 150,
  },
  dashboardMenu: {
    flex: 9,
    flexDirection: 'row',
    flexWrap: 'wrap',
    width: 300,
    marginTop: 20,
    display: 'flex',
  },
  dashBoardText: {
    color: '#009624',
    fontWeight: '700',
    textAlign: 'center',
    fontSize: 16,
  },
  error: {
    color: 'red',
  },
  subtitle: {
    fontWeight: 'bold',
    color: '#009624',
    marginTop: 10,
    fontSize: 16,
    alignItems: 'center',
    justifyContent: 'center',
  },
  list: {
    flex: 1,
  },
  listItem: {
    alignItems: 'center',
    borderRadius: 10,
    position: 'relative',
    justifyContent: 'space-between',
    height: 80,
    shadowColor: 'rgba(0, 0, 0, 0.1)',
    shadowOffset: {
      width: 0,
      height: 2,
    },
    shadowOpacity: 0,
    shadowRadius: 10,
    elevation: 8,
    width: 300,
    padding: 15,
    flexDirection: 'row',
    flexWrap: 'wrap',
    display: 'flex',
  },
  listItemProduct: {
    alignItems: 'center',
    borderRadius: 10,
    position: 'relative',
    justifyContent: 'space-between',
    height: 80,
    shadowColor: 'rgba(0, 0, 0, 0.1)',
    shadowOffset: {
      width: 0,
      height: 2,
    },
    shadowOpacity: 0,
    shadowRadius: 10,
    elevation: 8,
    width: 300,
    flexDirection: 'row',
    flexWrap: 'wrap',
    display: 'flex',
  },
  listInfo: {
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    padding: 10,
    alignSelf: 'stretch',
    fontWeight: 'bold',
    fontSize: 18,
  },
  popUpContainer: {
    backgroundColor: 'rgba(0,0,0,.8)',
    position: 'absolute',
    top: 20,
    justifyContent: 'center',
    alignItems: 'center',
    flex: 1,
  },
  popUpWrapper: {
    backgroundColor: 'white',
    flex: 4,
    flexDirection: 'column',
    padding: 10,
    borderRadius: 5,
    maxWidth: 300,
  },
  popUpTitle: {
    color: 'red',
    fontWeight: '700',
    fontSize: 15,
    alignItems: 'center',
  },
  popUpLegend: {
    color: '#4A5568',
    fontSize: 10,
    textAlign: 'center',
  },
  redButton: {
    borderColor: 'red',
    borderStyle: 'solid',
    borderRadius: 5,
    fontWeight: '500',
    fontSize: 10,
    padding: 10,
    marginTop: 20,
    backgroundColor: 'red',
    alignItems: 'center',
    justifyContent: 'center',
  },
  info: {
    color: '#4A5568',
    fontSize: 16,
    lineHeight: 24,
    fontWeight: 'normal',
    padding: 10,
  },
  headingClient: {
    fontSize: 23,
    fontWeight: '700',
    color: '#00C853',
    textAlign: 'center',
    marginTop: 20,
  },
  radioButtonContainer: {
    alignItems: 'center',
    marginRight: 45,
    flexWrap: 'wrap',
    alignItems: 'flex-start',
    flexDirection: 'row',
  },
  radioButton: {
    height: 20,
    width: 20,
    backgroundColor: 'white',
    borderRadius: 10,
    borderWidth: 1,
    borderColor: '#00C853',
    alignItems: 'center',
    justifyContent: 'center',
  },
  radioButtonIcon: {
    height: 14,
    width: 14,
    borderRadius: 7,
    backgroundColor: '#009624',
  },
  radioButtonText: {
    fontSize: 20,
    marginLeft: 16,
  },
  radioText: {
    fontWeight: 'bold',
    fontSize: 18,
    lineHeight: 27,
    display: 'flex',
    alignItems: 'flex-start',
    color: '#009624',
  },
  selectedContainer: {
    backgroundColor: '#fff',
  },
  buttonContainer: {
    borderWidth: 1,
    borderRadius: 5,
    borderColor: '#009624',
    color: 'black',
    justifyContent: 'space-between',
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'flex-end',
    padding: 10,
  },
  overlayStyle: {
    width: '100%',
    height: '100%',
    backgroundColor: 'rgba(0, 0, 0, 0.5)',
    position: 'absolute',
    justifyContent: 'center',
    display: 'flex',
    alignItems: 'center',
    bottom: 0,
    padding: 40,
  },
  listContainerStyle: {
    backgroundColor: 'white',
    borderRadius: 5,
    borderColor: '#00C853',
    borderWidth: 1.5,
    width: 300,
    alignItems: 'flex-start',
    borderStyle: 'solid',
  },
  optionTextStyle: {
    fontSize: 20,
    display: 'flex',
    lineHeight: 27,
    color: '#009624',
    width: '100%',
  },
  filterTextInputContainerStyle: {
    fontSize: 15,
    width: '100%',
    display: 'flex',
    color: 'black',
    borderBottomWidth: 1,
    borderColor: '#00C853',
  },
  filterTextInputStyle: {
    fontSize: 15,
    width: '100%',
    display: 'flex',
    color: 'black',
  },
  con: { backgroundColor: '#fff' },
  head: { width: '100%', backgroundColor: '#5efc82' },
  text: { padding: 6, textAlign: 'center' },
  row: { flexDirection: 'row' },
  elementContainer: {
    flex: 9,
    flexDirection: 'row',
    flexWrap: 'wrap',
    marginTop: 10,
    display: 'flex',
    justifyContent: 'space-between',
    alignItems: 'center',
  },
  textElement: {
    paddingLeft: 15,
    alignItems: 'center',
    alignSelf: 'center',
  },
  elements: {
    alignItems: 'center',
    borderRadius: 5,
    position: 'relative',
    display: 'flex',
    justifyContent: 'flex-start',
    alignSelf: 'center',
  },
  icon: {
    alignItems: 'center',
    display: 'flex',
    justifyContent: 'center',
    alignSelf: 'center',
    paddingRight: 40,
  },
  headingReview: {
    color: '#009624',
    fontWeight: 'bold',
    fontSize: 20,
    lineHeight: 30,
    marginTop: 10,
  },
  loader: {
    flex: 1,
    justifyContent: 'center',
  },
  horizontal: {
    flexDirection: 'row',
    justifyContent: 'space-around',
    padding: 10,
  },
})
export default styles
